Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061091 - [abrt] realmd: strlen(): realmd killed by SIGSEGV
Summary: [abrt] realmd: strlen(): realmd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: realmd
Version: 22
Hardware: x86_64
OS: Unspecified
high
urgent
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:faf7bfe9f1e0ab6e31cc13c1e10...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 11:20 UTC by Igor Gnatenko
Modified: 2015-04-22 22:55 UTC (History)
4 users (show)

Fixed In Version: realmd-0.16.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-22 22:55:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: cgroup (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: core_backtrace (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: dso_list (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: environ (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: exploitable (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: limits (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: maps (deleted)
2014-02-04 11:20 UTC, Igor Gnatenko
no flags Details
File: open_fds (deleted)
2014-02-04 11:21 UTC, Igor Gnatenko
no flags Details
File: proc_pid_status (deleted)
2014-02-04 11:21 UTC, Igor Gnatenko
no flags Details
File: var_log_messages (deleted)
2014-02-04 11:21 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2014-02-04 11:20:22 UTC
Version-Release number of selected component:
realmd-0.15.0-2.fc21

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/lib64/realmd/realmd
crash_function: strlen
executable:     /usr/lib64/realmd/realmd
kernel:         3.14.0-0.rc0.git17.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 safe_asprintf at safe-printf.c:265
 #2 update_login_formats at realm-sssd.c:362
 #3 realm_sssd_update_properties at realm-sssd.c:464
 #4 _g_closure_invoke_va at gclosure.c:840
 #7 realm_ini_config_finish_change at realm-ini-config.c:1334
 #8 update_domain at realm-sssd-config.c:119
 #9 realm_sssd_config_add_domain at realm-sssd-config.c:161
 #10 configure_sssd_for_domain at realm-sssd-ad.c:188
 #11 on_join_do_sssd at realm-sssd-ad.c:248

Comment 1 Igor Gnatenko 2014-02-04 11:20:30 UTC
Created attachment 859067 [details]
File: backtrace

Comment 2 Igor Gnatenko 2014-02-04 11:20:34 UTC
Created attachment 859070 [details]
File: cgroup

Comment 3 Igor Gnatenko 2014-02-04 11:20:42 UTC
Created attachment 859072 [details]
File: core_backtrace

Comment 4 Igor Gnatenko 2014-02-04 11:20:47 UTC
Created attachment 859075 [details]
File: dso_list

Comment 5 Igor Gnatenko 2014-02-04 11:20:50 UTC
Created attachment 859077 [details]
File: environ

Comment 6 Igor Gnatenko 2014-02-04 11:20:52 UTC
Created attachment 859079 [details]
File: exploitable

Comment 7 Igor Gnatenko 2014-02-04 11:20:56 UTC
Created attachment 859081 [details]
File: limits

Comment 8 Igor Gnatenko 2014-02-04 11:20:58 UTC
Created attachment 859083 [details]
File: maps

Comment 9 Igor Gnatenko 2014-02-04 11:21:00 UTC
Created attachment 859084 [details]
File: open_fds

Comment 10 Igor Gnatenko 2014-02-04 11:21:02 UTC
Created attachment 859086 [details]
File: proc_pid_status

Comment 11 Igor Gnatenko 2014-02-04 11:21:05 UTC
Created attachment 859087 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 15:26:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora Update System 2015-04-14 11:24:52 UTC
realmd-0.16.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/realmd-0.16.0-1.fc22

Comment 14 Fedora Update System 2015-04-22 22:55:27 UTC
realmd-0.16.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.